Read Person Matches by Example

The Person Matches by Example resource returns a list of possible FamilySearch tree persons that match a person described by a GEDCOM X document containing person details (POST). This resource is particularly useful for matching a person in an external tree to a person in the FamilySearch tree. The Match by Tree Person Id resource should be used to find matches (possible duplicates) for a specific person already in the FamilySearch tree.

Each entry in the match results may contain content of the GEDCOM X media type that provides data about the results, e.g., persons and relationships.

Person Matches are non-exact. The match algorithm will take into account all the information given about the person (and the person's parents, children and spouses, if included) and return matches, each having a likelihood of the match being the same person that was specified in the request. Because the match algorithm is non-exact, a returned match may have information that does not exactly match the information specified in the request. The likelihood is contained in the ResultConfidence field of each Entry (match result).

Dates can be specific (20 July 1946), partial (May 1836 or just 1836), approximate (about 1793) or a range (1898-1903).



The POST body must contain a valid GEDCOM X JSON or XML block. The following elements of the GEDCOM X are required:

Primary Person There must be a primary person and the primary person must have an id (such as "primaryPerson")
Main Source Description There must be a main source description in the GEDCOM X document that points to the primary person (see Main sourceDescription.about below)
Main sourceDescription.about The main source description's about attribute must point to the primary person via an anchor tag (i.e. about="#primaryPerson")

Note: For more accurate results, the GEDCOM X POST body may (and should whenever possible) contain the main person's parents, spouses, and children. All the persons in the GEDCOM X must have IDs so that relationships can be defined between the persons. Persons not specified in a relationship (other than the primary person) will be ignored when matching. The person IDs can be of any format. IDs such as "primaryPerson", "mother1", "child1" etc. are acceptable and more intuitive for human understanding.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int64
1 to 100
Defaults to 5

The number of results to provide.

int64
1 to 5

The level of confidence of the results. The higher the number the higher the confidence.

string
enum
Defaults to tree

The name of the collection in which to find matches. The possible values are 'tree' or 'user_trees'. Note: 'cet' is deprecated, use 'user_trees' instead.

Allowed:
string

The tree id of the user tree to match against. For use only with user trees. To match against all user trees do not pass in. To find user tree IDs, see Read User's Groups, or Create Tree to create a new user tree.

Body Params

The GEDCOM X document containing the person to match.

string
required

Reference to the source description ID (e.g., '#sd1')

persons
array of objects
required
length ≥ 1

Array of persons to match. Must include at least one primary person with an ID. See Person Schema (JSON)

persons*
string
required

The person identifier. Use descriptive IDs like 'primaryPerson', 'father1', 'mother1', etc.

gender
object

The gender of the person

names
array of objects

Array of names for the person

names
facts
array of objects

Array of facts (events) for the person

facts
relationships
array of objects

Array of relationships between persons. Persons not specified in a relationship (other than the primary person) will be ignored when matching. See Relationship Schema (JSON)

relationships
sourceDescriptions
array of objects
required
length ≥ 1

Array of source descriptions. Must include a main source description that points to the primary person. See SourceDescription Schema (JSON)

sourceDescriptions*
string
required

The source description identifier

string
required

Reference to the primary person ID via an anchor tag

identifiers
object

Optional map of identifiers for the source description

Headers
string
enum
required

Specifies the media type(s) that the client is willing to accept in the response.

Allowed:
string
enum
required

Specifies the media type of the entity-body sent to the server in the request.

Responses
200

The read was successful. See Person Schema (JSON)

204

Upon a successful query with no results.

400

If the query to be processed was unable to be understood by the application.

414

If the application declines to process the query because it would have resulted in too many results.

429

The request was throttled.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!